// Left and plus up or down and left
if keyboard_check(vk_left)
{
	if !audio_is_playing(a_roll)
	{
		audio_play_sound(a_roll, 100, true);
	}
	
    physics_apply_torque(-200);
}

if keyboard_check(vk_left) and keyboard_check(vk_up)
{
	audio_sound_pitch(a_roll, 0.5);
	
	if !audio_is_playing(a_roll)
	{		
		audio_play_sound(a_roll, 100, true);
	}
	
	sprite_index = s_yinyin;
	physics_set_friction(global.yang_fixture, 8);
	
	physics_set_restitution(global.yang_fixture, 0.2);
	physics_set_restitution(global.yin_fixture, 0.2);
	
	physics_apply_torque(-400);	
}

if keyboard_check(vk_left) and keyboard_check(vk_down)
{
	audio_sound_pitch(a_roll, 1.5);
	
	if !audio_is_playing(a_roll)
	{
		audio_play_sound(a_roll, 100, true);
	}
	
	sprite_index = s_yangyang;
	physics_set_friction(global.yin_fixture, 0);	
	physics_apply_torque(-400);	
}


// Right and plus up or down and right
if keyboard_check(vk_right)
{
	if !audio_is_playing(a_roll)
	{
		audio_play_sound(a_roll, 100, true);
	}
	
    physics_apply_torque(200);
}

if keyboard_check(vk_right) and keyboard_check(vk_up)
{
	audio_sound_pitch(a_roll, 0.5);
	
	if !audio_is_playing(a_roll)
	{
		audio_play_sound(a_roll, 100, true);
	}
	
	sprite_index = s_yinyin;
	physics_set_friction(global.yang_fixture, 8);
	
	physics_set_restitution(global.yang_fixture, 0.2);
	physics_set_restitution(global.yin_fixture, 0.2);
	
	physics_apply_torque(400);
}

if keyboard_check(vk_right) and keyboard_check(vk_down)
{
	audio_sound_pitch(a_roll, 1.5);
	
	if !audio_is_playing(a_roll)
	{
		audio_play_sound(a_roll, 100, true);
	}
	
	sprite_index = s_yangyang;
	physics_set_friction(global.yin_fixture, 0);	
	physics_apply_torque(400);	
}


// Up or down
if keyboard_check(vk_down)
{
	sprite_index = s_yangyang;
	physics_set_friction(global.yin_fixture, 0);
}

if keyboard_check(vk_up)
{
	sprite_index = s_yinyin;
	physics_set_friction(global.yang_fixture, 8);
	
	physics_set_restitution(global.yang_fixture, 0.2);
	physics_set_restitution(global.yin_fixture, 0.2);
}


// Space check
if keyboard_check(vk_space)
{
	if keyboard_check(vk_left)
	{
		if !audio_is_playing(a_yinyang)
		{
			audio_play_sound(a_yinyang, 100, true);
		}
		
		physics_apply_force(x, y, -50, 0);		
		
		//Force
		layer_set_visible("Force", true);

		var lay_id = layer_get_id("Force");
		var spr_id = layer_sprite_get_id(lay_id, "graphic_3C40F5C5");
		layer_sprite_x(spr_id, o_yinyang.x+64);
		layer_sprite_y(spr_id, o_yinyang.y);
		layer_sprite_xscale(spr_id, 1);
	}
	
	if keyboard_check(vk_right)
	
	{
		if !audio_is_playing(a_yinyang)
		{
			audio_play_sound(a_yinyang, 100, true);
		}
		
		physics_apply_force(x, y, 50, 0);	
		
		//Force
		layer_set_visible("Force", true);

		var lay_id = layer_get_id("Force");
		var spr_id = layer_sprite_get_id(lay_id, "graphic_3C40F5C5");
		layer_sprite_x(spr_id, o_yinyang.x-64);
		layer_sprite_y(spr_id, o_yinyang.y);
		layer_sprite_xscale(spr_id, -1);
	}
}


// Released up or down
if keyboard_check_released(vk_up)
{
	audio_sound_pitch(a_roll, 1);
	
	sprite_index = s_yinyang;
	physics_set_friction(global.yang_fixture, 0);
	physics_set_restitution(global.yang_fixture, 0);
	physics_set_restitution(global.yin_fixture, 0);
}

if keyboard_check_released(vk_down)
{
	audio_sound_pitch(a_roll, 1);
	
	sprite_index = s_yinyang;
	physics_set_friction(global.yin_fixture, 8);
}

if keyboard_check_released(vk_left)
{
	if audio_is_playing(a_roll)
	{
		audio_stop_sound(a_roll);
	}	
}

if keyboard_check_released(vk_right)
{
	if audio_is_playing(a_roll)
	{
		audio_stop_sound(a_roll);
	}	
}

if keyboard_check_released(vk_space) or keyboard_check_released(vk_left)or keyboard_check_released(vk_right)
{
	if audio_is_playing(a_yinyang)
	{
		audio_stop_sound(a_yinyang);
	}	
	
	//Force
	layer_set_visible("Force", false);
}